Package be.fgov.ehealth.aa.complextype.v1

# Class Responsible

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.PersonType
be.fgov.ehealth.aa.complextype.v1.Responsible

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class Responsible extends PersonType implements Serializable
Identity and function of responsible in ReMaPH.

Java class for ResponsibleType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponsibleType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}PersonType">
           <sequence>
             <element name="ResponsibleFunction" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Responsible()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getResponsibleFunction()`
  Gets the value of the responsibleFunction property.
  `void`
  `setResponsibleFunction(String value)`
  Sets the value of the responsibleFunction property.

  ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.PersonType

  `getFirstName, getInss, getLastName, setFirstName, setInss, setLastName`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Responsible

    public Responsible()

- ## Method Details

  - ### getResponsibleFunction

    public String getResponsibleFunction()
    Gets the value of the responsibleFunction property.
    Returns:
      possible object is `String`

  - ### setResponsibleFunction

    public void setResponsibleFunction(String value)
    Sets the value of the responsibleFunction property.
    Parameters:
      `value` - allowed object is `String`